### Hierarchy

- TableDirective

## Index

### Inputs

- noBorder
- size
- skeleton
- sortable
- striped

### Properties

- noBorder
- size
- skeleton
- sortable
- striped
- tableClass

### Accessors

- compactClass
- shortClass
- tallClass

## Properties

### noBorder

@Input()
@HostBinding({"hostPropertyName":"class.bx--data-table--no-border"})
noBorder: boolean = true

- Defined in src/table/table.directive.ts:10

### size

@Input()
size: TableRowSize = "md"

- Defined in src/table/table.directive.ts:19

### skeleton

@Input()
@HostBinding({"hostPropertyName":"class.bx--skeleton"})
skeleton: boolean = false

- Defined in src/table/table.directive.ts:14

### sortable

@Input()
@HostBinding({"hostPropertyName":"class.bx--data-table--sort"})
sortable: boolean = true

- Defined in src/table/table.directive.ts:8

### striped

@Input()
@HostBinding({"hostPropertyName":"class.bx--data-table--zebra"})
striped: boolean = false

- Defined in src/table/table.directive.ts:12

### tableClass

@HostBinding({"hostPropertyName":"class.bx--data-table"})
tableClass: boolean = true

- Defined in src/table/table.directive.ts:21

## Accessors

### compactClass

@HostBinding({"hostPropertyName":"class.bx--data-table--compact"})
compactClass:

- Defined in src/table/table.directive.ts:23

### shortClass

@HostBinding({"hostPropertyName":"class.bx--data-table--short"})
shortClass:

- Defined in src/table/table.directive.ts:31

### tallClass

@HostBinding({"hostPropertyName":"class.bx--data-table--tall"})
tallClass:

- Defined in src/table/table.directive.ts:27

Generated using TypeDoc